/**
 * Le formateur qui écrit les résultats dans un format adapté pour la console.
 */
export const Formatter: {
    new (level: number, writer: WritableStream, options: {
        showZeroNotice?: boolean | undefined;
        showNoChecked?: boolean | undefined;
    }): {
        /**
         * Le niveau de sévérité minimum des notifications affichées.
         *
         * @type {number}
         */
        "__#2@#level": number;
        /**
         * Le flux où écrire les résultats.
         *
         * @type {WritableStream}
         */
        "__#2@#writer": WritableStream;
        "__#2@#showZeroNotice": boolean;
        "__#2@#showNoChecked": boolean;
        /**
         * Affiche les éventuelles notifications d'un fichier.
         *
         * @param {string}      file    Le fichier analysé.
         * @param {?(Notice[])} notices La liste des notifications ou
         *                              <code>null</code>.
         */
        notify(file: string, notices: (Notice[]) | null): Promise<void>;
        /**
         * Finalise l'affichage.
         *
         * @returns {Promise<void>} La promesse indiquant que tous les textes sont
         *                          écrits.
         */
        finalize(): Promise<void>;
    };
};
export type WritableStream = NodeJS.WritableStream;
export type Notice = import("../../types").Notice;
export type Location = import("../../types").Location;
