/**
 * Le formateur qui écrit les résultats dans un format CSV.
 *
 * @see https://tools.ietf.org/html/rfc4180
 */
export const Formatter: {
    new (level: number, writer: WritableStream): {
        /**
         * Le niveau de sévérité minimum des notifications affichées.
         *
         * @type {number}
         */
        "__#3@#level": number;
        /**
         * Le flux où écrire les résultats.
         *
         * @type {WritableStream}
         */
        "__#3@#writer": WritableStream;
        /**
         * Affiche les éventuelles notifications d'un fichier.
         *
         * @param {string}      file    Le fichier analysé.
         * @param {?(Notice[])} notices La liste des notifications ou
         *                              <code>null</code>.
         */
        notify(file: string, notices: (Notice[]) | null): void;
        /**
         * Finalise l'affichage.
         *
         * @returns {Promise<void>} La promesse indiquant que tous les textes sont
         *                          écrits.
         */
        finalize(): Promise<void>;
    };
};
export type WritableStream = NodeJS.WritableStream;
export type Notice = import("../../types").Notice;
