/**
 * Vérifie (en appelant des linters) une liste de fichiers.
 *
 * @param {string[]}  files    La liste des fichiers.
 * @param {Checker[]} checkers La liste des vérifications faites sur les
 *                             fichiers.
 * @param {string}    root     L'adresse du répertoire où se trouve le dossier
 *                             <code>.metalint/</code>.
 * @returns {Promise<Object>} Une promesse retournant la liste des notifications
 *                            regrouper par fichier.
 */
export default function metalint(files: string[], checkers: Checker[], root: string): Promise<Object>;
export type Notice = import("../types").Notice;
export type Checker = import("../types").Checker;
