/**
 * Normalise la configuration. La structure de l'objet JSON contenant la
 * configuration est souple pour rendre le fichier moins verbeuse. Cette
 * fonction renseigne les valeurs par défaut pour les propriétes non-présentes.
 *
 * @param {Object} rotten      L'objet JSON contenant la configuration.
 * @param {string} root        L'adresse du répertoire où se trouve le dossier
 *                             <code>.metalint/</code>.
 * @param {string} dir         Le répertoire où se trouve le fichier de
 *                             configuration.
 * @param {Object} overwriting Les valeurs passées dans la ligne de commande
 *                             pour surcharger la configuration.
 * @returns {Promise<Config>} L'objet JSON normalisé.
 */
export default function normalize(rotten: Object, root: string, dir: string, overwriting: Object): Promise<Config>;
export type WritableStream = NodeJS.WritableStream;
export type Formatter = import("../types").Formatter;
export type Config = import("../types").Config;
